# WARNING: qbittorrent 4.1.x uses 1.1.x/1.2.x, not 2.x
#
%define		tagver	%(echo %{version} | tr . _)
Summary:	A C++ BitTorrent library
Summary(hu.UTF-8):	C++ BitTorrent könyvtár
Summary(pl.UTF-8):	Biblioteka BitTorrenta napisana w C++
Name:		libtorrent-rasterbar
Version:	1.2.7
Release:	2
Epoch:		2
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/arvidn/libtorrent/releases
Source0:	https://github.com/arvidn/libtorrent/releases/download/libtorrent_%{tagver}/%{name}-%{version}.tar.gz
# Source0-md5:	0c5e9d3c141704d1801f6da65c4554fe
URL:		http://www.rasterbar.com/products/libtorrent/
BuildRequires:	GeoIP-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	boost-devel >= 1.58
BuildRequires:	boost-python-devel >= 1.58
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	util-linux
BuildRequires:	which
BuildRequires:	zlib-devel
Obsoletes:	rb_libtorrent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other BitTorrent implementations around. It is
a library and not a full featured client, although it comes with a
working example client.

Its main goals are to be very efficient (in terms of CPU and memory
usage) as well as being very easy to use both as a user and developer.

%description -l hu.UTF-8
libtorrent-rasterbar egy C++ könyvtár, amely egy jó alternatívája
kíván lenni az összes többi BitTorrent implementációjának. Ez "csak"
egy könyvtár, és nem egy szolgáltatásgazdag kliens, habár ad egy
működő példa-klienst.

A fő céljai, hogy nagyon hatékony legyen (CPU és memória-használat) és
könnyű legyen használni mind a felhasználóknak, mind a fejlesztőknek.

%description -l pl.UTF-8
libtorrent-rasterbar jest napisaną w C++ biblioteką, która aspiruje do
bycia dobrą alternatywą dla wszystkich innych implementacji
BitTorrenta. Jest to biblioteka a nie pełnoprawny klient, aczkolwiek
pakiet zawiera działającego przykładowego klienta.

Główne cele biblioteki to bycie bardzo efektywną (w rozumieniu
wykorzystania procesora i pamięci) jak również łatwą w użyciu zarówno
dla użytkownika, jak i programisty.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
License:	BSD, zlib/libpng License, Boost Software License
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	boost-devel >= 1.58
Requires:	libstdc++-devel >= 6:4.7
Requires:	openssl-devel
Obsoletes:	rb_libtorrent-devel

%description    devel
The libtorrent-rasterbar-devel package contains libraries and header
files for developing applications that use libtorrent-rasterbar.

The various source and header files included in this package are
licensed under the revised BSD, zlib/libpng, and Boost Public
licenses.

%description devel -l hu.UTF-8
A libtorrent-rasterbar-devel csomag tartalmazza a könyvtári és
fejlesztői fájlokat, amellyel libtorrent-rasterbar-t használó
alkalmazásokat fejleszthetsz.

%description devel -l pl.UTF-8
Pakiet libtorrent-rasterbar-devel zawiera biblioteki i nagłówki do
rozwijania aplikacji używających libtorrent-rasterbar.

Różne pliki źródłowe i nagłówki dostarczone z tym pakietem są
licencjonowane pod zmienioną licencją BSD, zlib/libpng i Boost Public
License.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	rb_libtorrent-static

%description static
Static libtorrent-rasterbar library.

%description static -l hu.UTF-8
Statikus libtorrent-rasterbar könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libtorrent-rasterbar.

%package -n python-libtorrent-rasterbar
Summary:	Python bindings for libtorrent-rasterbar
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libtorrent-rasterbar
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-libtorrent-rasterbar
Python bindings for libtorrent-rasterbar.

%description -n python-libtorrent-rasterbar -l pl.UTF-8
Wiązania Pythona do biblioteki libtorrent-rasterbar.

%prep
%setup -q

## Some of the sources and docs are executable, which makes rpmlint against
## the resulting -debuginfo and -devel packages, respectively, quite angry. :]
find src docs -type f | xargs chmod a-x
find -type f -regex '.*\.[hc]pp' | xargs chmod a-x
## The RST files are the sources used to create the final HTML files; and are
## not needed.
%{__rm} docs/*.rst

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	LIBS="-lpthread -lrt" \
	--disable-silent-rules \
	--enable-python-binding \
	--with-asio=system \
	--with-boost-libdir=%{_libdir} \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-program-options=boost_program_options \
	--with-boost-regex=boost_regex \
	--with-boost-system=boost_system \
	--with-boost-thread=boost_thread \
	--with-libgeoip=system \
	--with-ssl \
	--with-zlib=system

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtorrent-rasterbar.so.10

%files devel
%defattr(644,root,root,755)
%doc docs/
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so
%{_libdir}/libtorrent-rasterbar.la
%{_includedir}/libtorrent
%{_pkgconfigdir}/libtorrent-rasterbar.pc
%{_datadir}/cmake/Modules/FindLibtorrentRasterbar.cmake

%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent-rasterbar.a

%files -n python-libtorrent-rasterbar
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/libtorrent.so
%{py_sitedir}/python_libtorrent-*.egg-info
%changelog
* Mon Aug 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtorrent-rasterbar.git;a=log;h=master

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> 0926e35
- boost rebuild

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 344936a
- Merge branch 'DEVEL-1.2' into master

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> e335d72
- updated to 1.2.7
- removed obsolete boost patch

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> bc2b397
- rebuild with boost 1.71
- release 2 (by relup.sh)

* Mon Apr 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 3eab5e8
- updated to 1.2.0
- updated boost patch

* Fri May 17 2019 Jakub Bogusz <qboosh@pld-linux.org> e3d3e17
- updated branches information

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 8c4aad5
- updated to 1.1.11
- updated boost patch

* Tue Apr 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 9f84773
- note on versions/branches
- removed outdated patch

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> b47425e
- added boost patch, release 3 (rebuild with boost 1.70)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ae4a1a
- release 2 (by relup.sh)

* Sun May 28 2017 Jan Rękorajski <baggins@pld-linux.org> 2f6f6f2
- back to 1.0.11
- epoch 2

* Sun May 28 2017 Jan Rękorajski <baggins@pld-linux.org> eb37701
- Revert "- up to 1.1.3"

* Wed Apr 12 2017 Jan Rękorajski <baggins@pld-linux.org> 9959875
- up to 1.1.3

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> e06ca4b
- icu-57.1 rebuild
- release 6 (by relup.sh)

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> d8e6556
- openssl 1.0.2g rebuild
- release 5 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 75153c9
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c6cfebb
- release 3 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 1018c37
- release 2 (by relup.sh)

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> a74ab93
- up to 1.0.6

* Fri Jun 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7975bcd
- release 3 (by relup.sh)

